2018-12-13 07:48 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005489GNUnetbuild processpublic2018-12-02 00:51
ReporterHeiko Stamer 
Assigned ToChristian Grothoff 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSGentoo LinuxOS Version
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005489: Undefined reference to GNUNET_NT_to_string
DescriptionMaking check in transport
make[2]: Verzeichnis „/gnunet/src/transport“ wird betreten
make test_transport_address_switch_tcp test_transport_address_switch_udp test_transport_testing_startstop test_transport_testing_restart test_plugin_tcp test_plugin_udp test_plugin_unix test_http_common test_plugin_http_client test_plugin_https_client test_plugin_http_server test_plugin_https_server test_transport_api_blacklisting_tcp test_transport_api_disconnect_tcp test_transport_api_tcp test_transport_api_restart_1peer test_transport_api_restart_2peers test_transport_api_timeout_tcp test_transport_api_limited_sockets_tcp test_transport_api_tcp_nat test_transport_api_udp test_transport_api_timeout_udp test_transport_api_unix test_transport_api_timeout_unix test_transport_api_unix_abstract test_transport_api_udp_nat test_transport_api_http test_transport_api_http_reverse test_transport_api_timeout_http test_transport_address_switch_http test_transport_api_https test_transport_api_timeout_https test_transport_address_switch_https test_transport_api_multi test_transport_api_monitor_peers test_transport_blacklisting_no_bl test_transport_blacklisting_outbound_bl_full test_transport_blacklisting_outbound_bl_plugin test_transport_blacklisting_inbound_bl_plugin test_transport_blacklisting_inbound_bl_full test_transport_blacklisting_multiple_plugins test_transport_api_manipulation_send_tcp test_transport_api_manipulation_recv_tcp test_transport_api_manipulation_cfg test_transport_api_reliability_tcp test_transport_api_reliability_tcp_nat test_transport_api_reliability_udp test_transport_api_reliability_unix test_transport_api_reliability_http test_transport_api_reliability_http_xhr test_transport_api_reliability_https test_transport_api_reliability_https_xhr test_quota_compliance_tcp test_quota_compliance_tcp_asymmetric test_quota_compliance_udp test_quota_compliance_unix test_quota_compliance_unix_asymmetric test_quota_compliance_http test_quota_compliance_http_asymmetric test_quota_compliance_https test_quota_compliance_https_asymmetric test_transport_api_slow_ats
make[3]: Verzeichnis „/gnunet/src/transport“ wird betreten
make[3]: „test_transport_address_switch_tcp“ ist bereits aktuell.
make[3]: „test_transport_address_switch_udp“ ist bereits aktuell.
make[3]: „test_transport_testing_startstop“ ist bereits aktuell.
make[3]: „test_transport_testing_restart“ ist bereits aktuell.
make[3]: „test_plugin_tcp“ ist bereits aktuell.
make[3]: „test_plugin_udp“ ist bereits aktuell.
make[3]: „test_plugin_unix“ ist bereits aktuell.
make[3]: „test_http_common“ ist bereits aktuell.
make[3]: „test_plugin_http_client“ ist bereits aktuell.
make[3]: „test_plugin_https_client“ ist bereits aktuell.
make[3]: „test_plugin_http_server“ ist bereits aktuell.
make[3]: „test_plugin_https_server“ ist bereits aktuell.
make[3]: „test_transport_api_blacklisting_tcp“ ist bereits aktuell.
make[3]: „test_transport_api_disconnect_tcp“ ist bereits aktuell.
make[3]: „test_transport_api_tcp“ ist bereits aktuell.
make[3]: „test_transport_api_restart_1peer“ ist bereits aktuell.
make[3]: „test_transport_api_restart_2peers“ ist bereits aktuell.
make[3]: „test_transport_api_timeout_tcp“ ist bereits aktuell.
make[3]: „test_transport_api_limited_sockets_tcp“ ist bereits aktuell.
make[3]: „test_transport_api_tcp_nat“ ist bereits aktuell.
make[3]: „test_transport_api_udp“ ist bereits aktuell.
make[3]: „test_transport_api_timeout_udp“ ist bereits aktuell.
make[3]: „test_transport_api_unix“ ist bereits aktuell.
make[3]: „test_transport_api_timeout_unix“ ist bereits aktuell.
make[3]: „test_transport_api_unix_abstract“ ist bereits aktuell.
make[3]: „test_transport_api_udp_nat“ ist bereits aktuell.
make[3]: „test_transport_api_http“ ist bereits aktuell.
make[3]: „test_transport_api_http_reverse“ ist bereits aktuell.
make[3]: „test_transport_api_timeout_http“ ist bereits aktuell.
make[3]: „test_transport_address_switch_http“ ist bereits aktuell.
make[3]: „test_transport_api_https“ ist bereits aktuell.
make[3]: „test_transport_api_timeout_https“ ist bereits aktuell.
make[3]: „test_transport_address_switch_https“ ist bereits aktuell.
make[3]: „test_transport_api_multi“ ist bereits aktuell.
make[3]: „test_transport_api_monitor_peers“ ist bereits aktuell.
make[3]: „test_transport_blacklisting_no_bl“ ist bereits aktuell.
make[3]: „test_transport_blacklisting_outbound_bl_full“ ist bereits aktuell.
make[3]: „test_transport_blacklisting_outbound_bl_plugin“ ist bereits aktuell.
make[3]: „test_transport_blacklisting_inbound_bl_plugin“ ist bereits aktuell.
make[3]: „test_transport_blacklisting_inbound_bl_full“ ist bereits aktuell.
make[3]: „test_transport_blacklisting_multiple_plugins“ ist bereits aktuell.
make[3]: „test_transport_api_manipulation_send_tcp“ ist bereits aktuell.
make[3]: „test_transport_api_manipulation_recv_tcp“ ist bereits aktuell.
make[3]: „test_transport_api_manipulation_cfg“ ist bereits aktuell.
make[3]: „test_transport_api_reliability_tcp“ ist bereits aktuell.
make[3]: „test_transport_api_reliability_tcp_nat“ ist bereits aktuell.
make[3]: „test_transport_api_reliability_udp“ ist bereits aktuell.
make[3]: „test_transport_api_reliability_unix“ ist bereits aktuell.
make[3]: „test_transport_api_reliability_http“ ist bereits aktuell.
make[3]: „test_transport_api_reliability_http_xhr“ ist bereits aktuell.
make[3]: „test_transport_api_reliability_https“ ist bereits aktuell.
make[3]: „test_transport_api_reliability_https_xhr“ ist bereits aktuell.
  CCLD test_quota_compliance_tcp
/usr/lib/gcc/x86_64-pc-linux-gnu/8.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: test_quota_compliance.o: in function `generate_config':
/gnunet/src/transport/test_quota_compliance.c:214: undefined reference to `GNUNET_NT_to_string'
/usr/lib/gcc/x86_64-pc-linux-gnu/8.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: /gnunet/src/transport/test_quota_compliance.c:217: undefined reference to `GNUNET_NT_to_string'
collect2: error: ld returned 1 exit status
make[3]: *** [Makefile:3786: test_quota_compliance_tcp] Fehler 1
make[3]: Verzeichnis „/gnunet/src/transport“ wird verlassen
make[2]: *** [Makefile:5004: check-am] Fehler 2
make[2]: Verzeichnis „/gnunet/src/transport“ wird verlassen
make[1]: *** [Makefile:555: check-recursive] Fehler 1
make[1]: Verzeichnis „/gnunet/src“ wird verlassen
make: *** [Makefile:610: check-recursive] Fehler 1
Steps To Reproducemake check
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013378

Christian Grothoff (manager)

Should be fixed in Git head.
+Notes

-Issue History
Date Modified Username Field Change
2018-11-27 23:13 Heiko Stamer New Issue
2018-12-02 00:51 Christian Grothoff Assigned To => Christian Grothoff
2018-12-02 00:51 Christian Grothoff Status new => resolved
2018-12-02 00:51 Christian Grothoff Resolution open => fixed
2018-12-02 00:51 Christian Grothoff Fixed in Version => 0.11.0
2018-12-02 00:51 Christian Grothoff Note Added: 0013378
2018-12-02 00:51 Christian Grothoff Product Version => SVN HEAD
2018-12-02 00:51 Christian Grothoff Target Version => 0.11.0
+Issue History